Subject: bug#18915: 24.3; Feature: Prompt to make executable on write-file

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Oct 2014 16:34:53 -0400

> (add-hook 'after-save-hook
>           'executable-make-buffer-file-executable-if-script-p)
>
> already handles that particular case, so personally I don't see the need
> for a new, more general feature for this.

Also, FWIW, I use such a hook in my .emacs and have found it
occasionally harmful, e.g. when editing the emacs/test/indent/scheme.scm
file, which then gets it `execute' bit set, even though it's not meant
to be executed.
Tho I guess it'd be OK to mark those files as executable, but I can't
get myself to do it, so I regularly end up "chmod -x"ing those files
after editing them.

        Stefan